@use "sass:map";
@use "../abstracts/colors";
@use "../abstracts/variables";

.registration-page-event-summary {
    max-width: 37.5rem;
}

.form {
    background-color: map.get(colors.$colors, form);
    color: map.get(colors.$colors, text);
    border-radius: variables.$border-radius;
    height: auto;
    word-wrap: break-word;
    padding: 2rem;
    max-width: 37.5rem;
    margin-top: 2rem;

    h3 {
        margin-top: 0rem;
        margin-bottom: 1rem;
    }

    p {
        margin: 0;
        margin-bottom: 1rem;
    }

    fieldset {
        margin: 0;
        padding: 0;
        border: 0;
    }

    label,
    legend {
        display: block;
        font-weight: bold;
        margin-bottom: 0.5rem;
        padding: 0;

        &.required::after {
            content: ' *';
            color: red;
        }
    }

    %input-common {
        display: block;
        width: 100%;
        padding: 0.625rem;
        border: 1px solid map.get(colors.$colors, border);
        border-radius: 0.33rem;
    }

    input[type="text"],
    input[type="number"],
    input[type="email"],
    input[type="tel"],
    input[type="date"] {
        @extend %input-common;
    }

    select {
        @extend %input-common;
        appearance: auto;
        background-color: map.get(colors.$colors, bg);
    }

    textarea {
        @extend %input-common;
        height: 10rem;
        max-height: 37.5rem;
        resize: vertical;
    }

    input[type="checkbox"] {
        scale: 1.25;
    }

    input[type="radio"] {
        scale: 1.25;
        margin-right: 1rem;
        margin-top: 0.25rem;
        margin-bottom: 0.25rem;
    }

    button {
        border: none;
        cursor: pointer;
        // Styled with button class
    }
}

.form-wrapper {
    margin-bottom: 2rem;

}

.description,
.note
.helptext {
    text-align: justify;
    hyphens: auto;
}

.helptext {
    margin-bottom: 0.5rem;
}

.field-wrapper {
    margin-bottom: 1rem;
}

.checkbox-container {
    display: flex;
    gap: 1rem;
    align-items: flex-start;

    p {
        margin: 0;
    }
}

.captcha-container {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    gap: 1rem;
}

.captcha {
    margin-top: 0rem;
    margin-bottom: 0.5rem;
}

.form-error {
    input,
    select,
    textarea {
        outline: 2px solid map.get(colors.$colors, error);
    }
}

.errorlist {
    list-style-type: none;
    color: map.get(colors.$colors, error);
    padding-left: 0;
}
